MYSQLROUTER_PASSWD(1)

NAME
mysqlrouter_passwd - MySQL Router Password Tool

SYNOPSIS

mysqlrouter_passwd [options]

DESCRIPTION

The mysqlrouter_passwd utility is a a command line application to manage the accounts in the passwd file.

    Note

    This feature was added in MySQL Router 8.0.16.

Usage information:

    Usage: ./mysqlrouter_passwd [--delete] [-?|--help] [--kdf=<name>] [--list] [--verify]
                                [-V|--version] [--work-factor=<num>] [filename username]
    Options:
      --delete
          Delete username if it exists.
      -?, --help
          Display this help and exit.
      --kdf <name>
          Key Derivation Function. One of pbkdf2-sha256, pbkdf2-sha512, sha256-crypt, sha512-crypt. default: sha256-crypt
      --list
          List account(s).
      --verify
          Verify password against stored hash for username. Exit-code is 0 if password matches, 1 otherwise
      -V, --version
          Display version information and exit.
      --work-factor <num>
          Work-factor hint for KDF if account is updated.

COPYRIGHT

Copyright © 2006, 2019, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).